Subject: Re: bug#9460: sha256sum

From: Bob Proulx <[email-masked]>
Date: Wed, 7 Sep 2011 12:24:00 -0600

tags 9460 + notabug
close 9460
thanks

Since this isn't a bug but rather discussion I am closing this bug
ticket, CC'ing the discussion line, and directing follow-ups there.

Gregory Dancker wrote:
> Can this be used with a hex input file?
> 
> What would the input file look like?
> 
> I tried a simple case (abc AKA hex 616263) and don't get the expected
> results.

I don't understand your question.  The 'sha256sum' program will read
data and compute the checksum.  Input data is always raw input data
regardless of how it is logically structured.

  $ printf "abc" | od -tx1 -c
  0000000  61  62  63
            a   b   c

  $ printf "abc" | sha256sum
  ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad  -

Bob